superquadrics(6)

NAME
superquadrics - morphing 3d shapes.

SYNOPSIS
superquadrics [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-spinspeed number] [-count number] [-cycles number] [-wireframe] [-fps]

DESCRIPTION
Ed Mackey reports that he wrote the first version of this program in BASIC on a Commodore 64 in 1987, as a 320x200 black and white wireframe. Now it is GL and has specular reflections.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 40000 (0.04 seconds.).

-spinspeed number
    0.1 - 15.0. Default: 5.0.

-count number
    0 - 100. Default: 25.

-cycles number
    0 - 100. Default: 40.

-wireframe
    Render in wireframe instead of solid.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Ed Mackey. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Ed Mackey.